#target photoshop

// 函数：将除了背景图层以外的所有一级图层的可见性设置为关闭
function hideAllTopLevelLayersExceptBackground() {
    var doc = app.activeDocument;
    var layers = doc.layers;
    
    for (var i = 0; i < layers.length; i++) {
        var layer = layers[i];
        // 检查图层是否为一级图层（顶层图层）且不是背景图层
        if (layer.parent == doc && !layer.isBackgroundLayer) {
            layer.visible = false;
        }
    }
}

// 执行函数
hideAllTopLevelLayersExceptBackground();
