#target photoshop

// 函数：将除了背景图层以外的所有一级图层的可见性设置为关闭，排除包含特定字符串的图层
function hideAllTopLevelLayersExceptBackgroundAndExcludeKeyword() {
    var doc = app.activeDocument;
    var layers = doc.layers;
    
    for (var i = 0; i < layers.length; i++) {
        var layer = layers[i];
        // 检查图层是否为一级图层（顶层图层）且不是背景图层
        if (layer.parent == doc && !layer.isBackgroundLayer) {
            // 检查图层名称是否包含特定的字符串（比如"排除"）
            if (layer.name.indexOf("排除") !== -1) {
                continue; // 如果包含特定字符串，则跳过处理该图层
            }
            layer.visible = false; // 否则将图层可见性设置为关闭
        }
    }
}

// 执行函数
hideAllTopLevelLayersExceptBackgroundAndExcludeKeyword();
