#target photoshop

function selectLayersByIds(layerIds) {
    var desc = new ActionDescriptor();
    var ref = new ActionReference();
    for (var i = 0; i < layerIds.length; i++) {
        ref.putIdentifier(charIDToTypeID('Lyr '), layerIds[i]);
    }
    desc.putReference(charIDToTypeID('null'), ref);
    desc.putBoolean(charIDToTypeID('MkVs'), false); // 设置为 false，表示不需要将图层设置为可见
    executeAction(charIDToTypeID('slct'), desc, DialogModes.NO);
}

// 将指定图层ID的图层设置为不可见
function hideLayersByIds(layerIds) {
    // 先选择指定的图层
    selectLayersByIds(layerIds);

    // 获取当前文档和选定的图层
    var doc = app.activeDocument;
    var selectedLayers = doc.activeLayer; // 获取活动图层，如果是多个图层则应该是一个数组，可以使用 doc.activeLayers

    // 如果 selectedLayers 是单个图层，将其转换为数组以便处理多个图层的情况
    if (!(selectedLayers instanceof Array)) {
        selectedLayers = [selectedLayers];
    }

    // 遍历选定的图层，将它们设置为不可见
    for (var i = 0; i < selectedLayers.length; i++) {
        selectedLayers[i].visible = false;
    }
}

// 在这里输入你想要操作的图层ID列表
var layerIds = [56]; // 替换为你需要隐藏的图层的ID

hideLayersByIds(layerIds);
