var selectedLayerIds = [];

// 检查是否有文档打开
if (app.documents.length > 0) {
    var doc = app.activeDocument;

    // 获取所选图层的索引
    var layerIndices = getSelectedLayersIndices();

    // 遍历每个索引，获取相应图层的ID
    for (var i = 0; i < layerIndices.length; i++) {
        var layerID = getLayerIDByIndex(doc, layerIndices[i]);
        if (layerID !== null) {
            selectedLayerIds.push(layerID);
        }
    }
}

// 将图层ID数组转换为带有逗号和空格的字符串
var selectedLayerIdsString = selectedLayerIds.join(", ");

// 输出结果
selectedLayerIdsString;

// 获取选定图层的索引的函数
function getSelectedLayersIndices() {
    var selectedIndices = [];
    var ref = new ActionReference();
    ref.putProperty(charIDToTypeID("Prpr"), stringIDToTypeID("targetLayers"));
    ref.putEnumerated(charIDToTypeID("Dcmn"), charIDToTypeID("Ordn"), charIDToTypeID("Trgt"));
    var desc = executeActionGet(ref);
    if (desc.hasKey(stringIDToTypeID("targetLayers"))) {
        desc = desc.getList(stringIDToTypeID("targetLayers"));
        var c = desc.count;
        for (var i = 0; i < c; i++) {
            try {
                selectedIndices.push(desc.getReference(i).getIndex());
            } catch (e) {
                selectedIndices.push(desc.getReference(i).getIndex() + 1);
            }
        }
    }
    return selectedIndices;
}

// 根据图层索引获取图层ID的函数
function getLayerIDByIndex(doc, index) {
    try {
        var ref = new ActionReference();
        ref.putIndex(charIDToTypeID("Lyr "), index);
        var desc = executeActionGet(ref);
        return desc.getInteger(stringIDToTypeID("layerID"));
    } catch (e) {
        return null;
    }
}
